FROM openshift/golang-builder:rhel_8_golang_1.16 AS builder
ENV __doozer=update BUILD_RELEASE=202112171251.p0.g673fc7b.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112171251.p0.g673fc7b.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=673fc7b OS_GIT_VERSION=4.8.0-202112171251.p0.g673fc7b.assembly.stream-673fc7b SOURCE_DATE_EPOCH=1639724782 SOURCE_GIT_COMMIT=673fc7bb0f74fea9f6c7a00988539536e546accf SOURCE_GIT_TAG=673fc7bb SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
WORKDIR /go/src/github.com/k8snetworkplumbingwg/sriov-network-operator
COPY . .

FROM openshift/ose-base:v4.8.0-202112141153.p0.gad38e11.assembly.stream
ENV __doozer=update BUILD_RELEASE=202112171251.p0.g673fc7b.assembly.stream BUILD_VERSION=v4.8.0 OS_GIT_MAJOR=4 OS_GIT_MINOR=8 OS_GIT_PATCH=0 OS_GIT_TREE_STATE=clean OS_GIT_VERSION=4.8.0-202112171251.p0.g673fc7b.assembly.stream SOURCE_GIT_TREE_STATE=clean 
ENV __doozer=merge OS_GIT_COMMIT=673fc7b OS_GIT_VERSION=4.8.0-202112171251.p0.g673fc7b.assembly.stream-673fc7b SOURCE_DATE_EPOCH=1639724782 SOURCE_GIT_COMMIT=673fc7bb0f74fea9f6c7a00988539536e546accf SOURCE_GIT_TAG=673fc7bb SOURCE_GIT_URL=https://github.com/openshift/sriov-network-operator 
COPY --from=builder /go/src/github.com/k8snetworkplumbingwg/sriov-network-operator/must-gather/collection-scripts/* /usr/bin/

ENTRYPOINT /usr/bin/gather

LABEL \
        io.k8s.display-name="sriov-network-operator-must-gather" \
        io.k8s.description="This is a sriov must-gather image that collectes sriov network operator related resources." \
        name="openshift/ose-sriov-operator-must-gather" \
        com.redhat.component="sriov-network-must-gather-container" \
        io.openshift.maintainer.product="OpenShift Container Platform" \
        io.openshift.maintainer.component="Networking" \
        io.openshift.maintainer.subcomponent="SR-IOV" \
        release="202112171251.p0.g673fc7b.assembly.stream" \
        io.openshift.build.commit.id="673fc7bb0f74fea9f6c7a00988539536e546accf" \
        io.openshift.build.source-location="https://github.com/openshift/sriov-network-operator" \
        io.openshift.build.commit.url="https://github.com/openshift/sriov-network-operator/commit/673fc7bb0f74fea9f6c7a00988539536e546accf" \
        version="v4.8.0"

